using System;
using System.Security;
using System.Security.Policy;
using System.Security.Permissions;
using System.IO;
using System.Collections;


    class AddCodeGroup
    {

        static void Main(string[] args)
        {
            //getting the policy level enumerator
            IEnumerator policylevels=SecurityManager.PolicyHierarchy();
            //moving to machine policy level
            policylevels.MoveNext();
            policylevels.MoveNext();
            PolicyLevel machinepolicy = (PolicyLevel)(policylevels.Current);
            //getting the root code group of the code group hierarchy
            CodeGroup rootcg = machinepolicy.RootCodeGroup;
            //creating a site membership condition for the new code group
            SiteMembershipCondition sitemship = 
               new SiteMembershipCondition("www.microsofttest.com");
            //get the Intranet permission set from the permission set list of the machine policy
            PermissionSet pset = 
               machinepolicy.GetNamedPermissionSet("Nothing");
            //Creating the policy statement, including the Nothing permission set
            //making the code group exclusive
            PolicyStatement policystatement = 
               new PolicyStatement(pset,PolicyStatementAttribute.Exclusive);
            //create the new code group 
	    //with the new membership condition and policystatement
            UnionCodeGroup newcg = 
               new UnionCodeGroup(sitemship,policystatement);
            //add the new code group under the root code group
            rootcg.AddChild(newcg);
    		machinepolicy.RootCodeGroup = rootcg;
            //Save the changes
            SecurityManager.SavePolicy();
        }

    }
