using System;
using System.Security;
using System.Security.Policy;
using System.Security.Permissions;
using System.Collections;
using System.Reflection;


class AddToPolicyAssemblies
{

    static void Main(string[] args)
    {
        //getting the policy level enumerator
        IEnumerator policylevels=SecurityManager.PolicyHierarchy();
        //moving to enterprise policy level
        policylevels.MoveNext();
        PolicyLevel entpolicy = (PolicyLevel)(policylevels.Current);
        //creating the strongname for the assembly to add
        AssemblyName aname = AssemblyName.GetAssemblyName("Caspol.exe");
        //by first creating the strong name public key blob type instance
        StrongNamePublicKeyBlob spt = 
	new StrongNamePublicKeyBlob(aname.GetPublicKeyToken());
        //using that and the assembly name and version 
	//to create a strong name instance
        StrongName sn = new StrongName(spt,aname.Name,aname.Version);
        //adding the assembly identified by sn to the policy assemblies list
        entpolicy.AddFullTrustAssembly(sn);
        //save the changes
        SecurityManager.SavePolicy();
    }

}
