using System;
using System.Security;
using System.Security.Policy;
using System.Security.Permissions;
using System.IO;
using System.Collections;


class ChangeCodeGroup
{
    static void Main(string[] args)
    {
        //getting the policy level enumerator
        IEnumerator policylevels=SecurityManager.PolicyHierarchy();
        //moving to machine policy level
        policylevels.MoveNext();
        policylevels.MoveNext();
        PolicyLevel machinepolicy = (PolicyLevel)(policylevels.Current);
        //getting the root code group of the code group hierarchy
        CodeGroup rootcg = machinepolicy.RootCodeGroup;
        //getting all the child code groups pf the root code group
        IEnumerator rootchildren = (rootcg.Children).GetEnumerator();

        //finding and changing the internet zone code group
        bool found=false;
        bool listend=false;
        while(rootchildren.MoveNext())
        {

            if(((CodeGroup)(rootchildren.Current)).Name=="Internet_Zone")
            {
                //make a copy of the code group to change
                CodeGroup codegroup = (CodeGroup)rootchildren.Current;
                //delete the code group to be changed from policy
                rootcg.RemoveChild(codegroup);
                //get the new permission set for this code group
                PermissionSet pset = 
                   machinepolicy.GetNamedPermissionSet("Nothing");
                //wrapped into a policy statement, that would allow for change
                //of code group flags also
                codegroup.PolicyStatement=new PolicyStatement(pset);
                codegroup.Description="Changed code group";
                //add code group back in, this will not preserver cg order!!
                //you will have to remove and add in all children of a cg if you
                //need to preserve code group order
                rootcg.AddChild(codegroup);
                machinepolicy.RootCodeGroup = rootcg;
                //save it
                SecurityManager.SavePolicy();


            }
        }
    }


}
