using System;
using System.Security;
using System.Security.Policy;
using System.Security.Permissions;
using System.IO;
using System.Collections;


class RemCodeGroup
{
    static void Main(string[] args)
    {
        //getting the policy level enumerator
        IEnumerator policylevels=SecurityManager.PolicyHierarchy();
        //moving to machine policy level
        policylevels.MoveNext();
        policylevels.MoveNext();
        PolicyLevel machinepolicy = (PolicyLevel)(policylevels.Current);
        //getting the root code group of the code group hierarchy
        CodeGroup rootcg = machinepolicy.RootCodeGroup;
        //getting all the child code groups pf the root code group
        IEnumerator rootchildren = (rootcg.Children).GetEnumerator();

        //finding and removing the test code group
        while(rootchildren.MoveNext())
        {
            if(((CodeGroup)(rootchildren.Current)).Name=="test")
            {
                CodeGroup codegroup = (CodeGroup)rootchildren.Current;
                //remove the code group
                rootcg.RemoveChild(codegroup);
                //save it
                SecurityManager.SavePolicy();
            }
        }

    }

} 
